<template>
  <div class="main-plot-panel query-panel d-flex flex-grow-1 flex-row">
    <plot-settings/>
    <plot-chart-area/>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import PlotSettings from '@/workspace/components/plots/PlotSettings'
import PlotChartArea from '@/workspace/components/plots/PlotChartArea'

export default {
  name: 'mainplotpanel',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    plotSettings: {
      get() {
        return this.$store.getters.workspaceCurrentPlotSettings(this.workspaceId)
      }
    }
  },

  components: {
    PlotSettings,
    PlotChartArea,
  }
}
</script>
